<template></template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import { useQuasar } from "quasar";
import { useRouter } from "vue-router";
import { useStore } from "src/store";

export default defineComponent({
  name: "RedirectPage",

  components: {},

  setup() {
    let $q = useQuasar();
    let $router = useRouter();
    const $store = useStore();
    let landspace = $store.state.landspace;

    try {
      landspace = (<any>window).landspace();
    } catch {}

    if (
      ($q.platform.is.mobile && $q.platform.has.touch) ||
      $q.platform.is.ipad
    ) {
      $router.push("/pad");
    } else {
      $router.push("/pc");
    }
  },
});
</script>
